org.apache.commons.jelly.tags.dynabean

## Class PropertyTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.dynabean.PropertyTag

All Implemented Interfaces:
  Tag

    public class PropertyTag
    extends TagSupport

DynaProperty tag defines a property of a DynaClass It can only exist inside a DynaClass parent context The properties are added to the properties array of the parent context, and will be used to create the DynaClass object

Version:
  1.0
Author:
  Theo Niemeijer

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`PropertyTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.Class` `getPropertyClass()` Returns the Class for this property
`void` `setName(java.lang.String name)` Sets the name of this property
`void` `setPropertyClass(java.lang.Class propertyClass)` Sets the Class instance for this property
`void` `setType(java.lang.String type)` Sets the type name of this property

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyTag

    public PropertyTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### setName

    public void setName(java.lang.String name)

Sets the name of this property

#### setType

    public void setType(java.lang.String type)

Sets the type name of this property

#### getPropertyClass

    public java.lang.Class getPropertyClass()

Returns the Class for this property

#### setPropertyClass

    public void setPropertyClass(java.lang.Class propertyClass)

Sets the Class instance for this property